From cd109000abbab497df2ee32a2a33035713009175 Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Sat, 17 Jan 2015 17:45:27 -0800
Subject: [PATCH 2003/2008] Fall back on xcodebuild -sdk when xcrun --sdk is
 not supported

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 make/platform/clang_darwin.mk | 4 ++++
 1 file changed, 4 insertions(+)

diff --git llvm_release_37/projects/compiler-rt/make/platform/clang_darwin.mk macports_release_37/projects/compiler-rt/make/platform/clang_darwin.mk
index 1893ad4..974ae1c 100644
--- llvm_release_37/projects/compiler-rt/make/platform/clang_darwin.mk
+++ macports_release_37/projects/compiler-rt/make/platform/clang_darwin.mk
@@ -52,6 +52,10 @@ XCRunSdkPath = \
     result=`xcrun --sdk $(1).internal --show-sdk-path 2> /dev/null`; \
     if [ "$$?" != "0" ]; then \
       result=`xcrun --sdk $(1) --show-sdk-path 2> /dev/null`; \
+      if [ "$$?" != "0" ]; then \
+        result=`xcodebuild -sdk $(1) -version 2> /dev/null \
+                | sed -n 's/^Path: \(..*\)$$/\1/p'`; \
+      fi; \
       if [ "$$?" != "0" ]; then result=""; fi; \
     fi; \
     echo $$result)
-- 
2.6.2

